<?php

add_action('init','of_options');

if (!function_exists('of_options'))
{
	function of_options()
	{
		//Access the WordPress Categories via an Array
		$of_categories 		= array();  
		$of_categories_obj 	= get_categories('hide_empty=0');
		foreach ($of_categories_obj as $of_cat) {
		    $of_categories[$of_cat->cat_ID] = $of_cat->cat_name;}
		$categories_tmp 	= array_unshift($of_categories, "Select a category:");    
	       
		//Access the WordPress Pages via an Array
		$of_pages 			= array();
		$of_pages_obj 		= get_pages('sort_column=post_parent,menu_order');    
		foreach ($of_pages_obj as $of_page) {
		    $of_pages[$of_page->ID] = $of_page->post_name; }
		$of_pages_tmp 		= array_unshift($of_pages, "Select a page:");       
	
		//Testing 
		$of_options_select 	= array("one","two","three","four","five"); 
		$of_options_radio 	= array("one" => "One","two" => "Two","three" => "Three","four" => "Four","five" => "Five");
		
		//Sample Homepage blocks for the layout manager (sorter)
		$of_options_homepage_blocks = array
		( 
			"disabled" => array (
				"placebo" 		=> "placebo", //REQUIRED!
				"block_one"		=> "Block One",
				"block_two"		=> "Block Two",
				"block_three"	=> "Block Three",
			), 
			"enabled" => array (
				"placebo" 		=> "placebo", //REQUIRED!
				"block_four"	=> "Block Four",
			),
		);


		//Stylesheets Reader
		$alt_stylesheet_path = LAYOUT_PATH;
		$alt_stylesheets = array();
		
		if ( is_dir($alt_stylesheet_path) ) 
		{
		    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) 
		    { 
		        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) 
		        {
		            if(stristr($alt_stylesheet_file, ".css") !== false)
		            {
		                $alt_stylesheets[] = $alt_stylesheet_file;
		            }
		        }    
		    }
		}


		//Background Images Reader
		$bg_images_path = get_stylesheet_directory(). '/images/bg/'; // change this to where you store your bg images
		$bg_images_url = get_template_directory_uri().'/images/bg/'; // change this to where you store your bg images
		$bg_images = array();
		
		if ( is_dir($bg_images_path) ) {
		    if ($bg_images_dir = opendir($bg_images_path) ) { 
		        while ( ($bg_images_file = readdir($bg_images_dir)) !== false ) {
		            if(stristr($bg_images_file, ".png") !== false || stristr($bg_images_file, ".jpg") !== false) {
		            	natsort($bg_images); //Sorts the array into a natural order
		                $bg_images[] = $bg_images_url . $bg_images_file;
		            }
		        }    
		    }
		}
		

		/*-----------------------------------------------------------------------------------*/
		/* TO DO: Add options/functions that use these */
		/*-----------------------------------------------------------------------------------*/
		
		//More Options
		$uploads_arr 		= wp_upload_dir();
		$all_uploads_path 	= $uploads_arr['path'];
		$all_uploads 		= get_option('of_uploads');
		$other_entries 		= array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");
		$body_repeat 		= array("no-repeat","repeat-x","repeat-y","repeat");
		$body_pos 			= array("top left","top center","top right","center left","center center","center right","bottom left","bottom center","bottom right");
		
		// Image Alignment radio box
		$of_options_thumb_align = array("alignleft" => "Left","alignright" => "Right","aligncenter" => "Center"); 
		
		// Image Links to Options
		$of_options_image_link_to = array("image" => "The Image","post" => "The Post"); 


/*-----------------------------------------------------------------------------------*/
/* The Options Array */
/*-----------------------------------------------------------------------------------*/

// Set the Options Array
global $of_options;
$of_options = array();


$of_options[] = array( "name" => "تنظیمات کلی",
"type" => "heading",
"icon"		=> ADMIN_IMAGES . "icon-home.png"
);

$of_options[] = array( 	"name" 		=> "Hello there!",
						"desc" 		=> "",
						"id" 		=> "introduction_2",
						"std" 		=> "<h3 style=\"margin: 0px 0px 10px;font-family: syekan !important;font-weight: normal;\">اطلاعیه مدیریت هایپرتمپ :</h3>
						شما میتوانید از این قسمت تنظیمات قالب خود را ویرایش کنید .",
						"icon" 		=> true,
						"type" 		=> "info"
				);

$of_options[] = array( "name" => "آپلود تصویر لوگو",	// عنوان فیلد
"desc" => "جایگاه لوگو در هدر:", // توضیحات فیلد
"id" => "media_upload_logo", // ایدی فیلد باید منحصر به فرد باشد
"std" => "http://up.hypertemp.ir/up/hypertemp/Hyper_Temp/ver1/img/logo.png", // متن پیشفرضی که در فیلد قرار میگیرد
"type" => "upload" // نوع فیلد که از نوع آپلود است
);

$of_options[] = array( "name" => "لینک گوگل پلاس شما",	// عنوان فیلد
"desc" => "آدرس گوگل پلاس خود را برای استفاده در قالب وارد کنید:", // توضیحات فیلد
"id" => "urlGooGole", // ایدی فیلد باید منحصر به فرد باشد
"std" => "", // متن پیشفرضی که در فیلد قرار میگیرد
"type" 		=> "text"
);		

$of_options[] = array( "name" => "لینک فیس بوک شما",	// عنوان فیلد
"desc" => "آدرس فیسبوک خود را برای استفاده در قالب وارد کنید:", // توضیحات فیلد
"id" => "urlFaacebook", // ایدی فیلد باید منحصر به فرد باشد
"std" => "", // متن پیشفرضی که در فیلد قرار میگیرد
"type" 		=> "text"
);		

$of_options[] = array( "name" => "شماره تماس شما 1",	// عنوان فیلد
"desc" => "شماره تماس شما برای نمایش در فوتر :", // توضیحات فیلد
"id" => "cell1ph", // ایدی فیلد باید منحصر به فرد باشد
"std" => "موجود نیست", // متن پیشفرضی که در فیلد قرار میگیرد
"type" 		=> "text"
);	

$of_options[] = array( "name" => "شماره تماس شما 2",	// عنوان فیلد
"desc" => "شماره تماس شما برای نمایش در فوتر :", // توضیحات فیلد
"id" => "cell2ph", // ایدی فیلد باید منحصر به فرد باشد
"std" => "موجود نیست", // متن پیشفرضی که در فیلد قرار میگیرد
"type" 		=> "text"
);	

$of_options[] = array( "name" => "درباره ما",	// عنوان فیلد
"desc" => "متن در باره ما رابرای نمایش در فوتر وارد کنید :", // توضیحات فیلد
"id" => "aboutni", // ایدی فیلد باید منحصر به فرد باشد
"std" => "موجود نیست", // متن پیشفرضی که در فیلد قرار میگیرد
"type" 		=> "textarea"
);	

// color support by Hypertemp

$of_options[] = array( 	"name" 		=> "رنگ قالب",
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-paint.png"
				);
				

				
$url =  ADMIN_DIR . 'assets/images/';
$of_options[] = array( 	"name" 		=> "رنگ قالب",
						"desc" 		=> "رنگ مورد نظر خود را برای تغیر رنگ دلخواه خود کلیک کنید:",
						"id" 		=> "mainstylenyhyper",
						"std" 		=> "style.css",
						"type" 		=> "images",
																"options" 	=> array(
											'style.css' 	=> $url . '1.png',
											'style_blue.css' 	=> $url . '2.png',
											'style_yelow.css' 	=> $url . '3.png',
											'style_pnik.css' 	=> $url . '4.png',
											'style_black.css' 	=> $url . '5.png',
											'style_andro.css' 	=> $url . '6.png'

										)
				);
// post settings by Hypertemp

$of_options[] = array( 	"name" 		=> "تبلیغات",
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-edit.png"
				);
				
$of_options[] = array( "name" => "کد تبلیغات بالای مطالب",	// عنوان فیلد
"desc" => "کد تبلیغات خود را در این قسمت وارد کنید", // توضیحات فیلد
"id" => "ads1-admin", // ایدی فیلد باید منحصر به فرد باشد
"std" => "موجود نیست", // متن پیشفرضی که در فیلد قرار میگیرد
"type" 		=> "textarea"
);		
		
$of_options[] = array( "name" => "کد تبلیغات ستون سمت راست",	// عنوان فیلد
"desc" => "کد تبلیغات خود را در این قسمت وارد کنید", // توضیحات فیلد
"id" => "ads2-admin", // ایدی فیلد باید منحصر به فرد باشد
"std" => "موجود نیست", // متن پیشفرضی که در فیلد قرار میگیرد
"type" 		=> "textarea"
);	
				
// Backup Options by Hypertemp
$of_options[] = array( 	"name" 		=> "پشتیبان گیری از تنظیمات قالب",
						"type" 		=> "heading",
						"icon"		=> ADMIN_IMAGES . "icon-slider.png"
				);
				
$of_options[] = array( 	"name" 		=> "پشتیبانی گیری و بازگردانی",
						"id" 		=> "of_backup",
						"std" 		=> "",
						"type" 		=> "backup",
						"desc" 		=> 'شما میتوانید از تنظیمات قالب یک پشتیبان تهیه کنید و در زمان نیاز آن رو بازگردانی کنید.',
				);
				


	}//End function: of_options()
}//End chack if function exists: of_options()
?>
